#include <stdio.h>
#include <stdlib.h>

int main(){
int T,N,M;
printf("unesi broj test primera\n");
scanf("%d",&T);
for(int k=0;k<T;k++){
    scanf("%d %d",&N,&M);
    printf("\n");
if((N+M)%2==0){int mat[N][M];
    for(int i=0;i<N;i++){
        for(int j=0;j<M;j++){
           scanf("%d",&mat[i][j]);
        }
    }
     for(int i=0;i<N;i++){
        for(int j=0;j<M;j++){
           printf("%d\t",mat[i][j]);
        }
        printf("\n");
    }
}
else{
    printf("-1");
}

}



return 0;
}